Debian Bug report logs - #480710
buildd.emdebian.org: avahi changes arguments to ./configure

Package: buildd.emdebian.org; Maintainer for buildd.emdebian.org is Debian Embedded Team <debian-embedded@lists.debian.org>;

Reported by: Neil Williams <codehelp@debian.org>

Date: Sun, 11 May 2008 17:42:07 UTC

Severity: important

Merged with 486246

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#480710; Package general. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: buildd.emdebian.org: avahi cannot be updated, new version fails to cross build
Date: Sun, 11 May 2008 18:38:59 +0100
Package: general
Severity: normal
User: codehelp@debian.org

In preparation for a pseudo-package, buildd.emdebian.org, I'm filing
status bugs about packages that block the use of packages that
crossbuild successfully.

$ emsource --status avahi
Checking the apt-cross cache is up to date for arm.
Checking status of avahi in /opt/emdebian/trunk/a/avahi/trunk/
9 emdebian patch files
0 debian patch files

Checking emdebuild status in /opt/emdebian/trunk/a/avahi/trunk/
build log:
	avahi (0.6.22) FAILED to cross build for arm.
/opt/emdebian/trunk/a/avahi/trunk/avahi_0.6.22-3em1_arm.build
Checking for error logs in /opt/emdebian/trunk/a/avahi/trunk/
Checking bug status
No open cross-building bugs for avahi
avahi FAILED to build.

In file included from
/usr/arm-linux-gnu/include/gtk-2.0/gtk/gtkactiongroup.h:34,
                 from /usr/arm-linux-gnu/include/gtk-2.0/gtk/gtk.h:38,
                 from main.c:33:
/usr/arm-linux-gnu/include/gtk-2.0/gtk/gtkitemfactory.h:50: warning:
function declaration isn’t a prototype
arm-linux-gnu-gcc: -lpthread: linker input file unused because linking
not done
make[3]: *** No rule to make target `../avahi-glib/libavahi-glib.la',
needed by `avahi-discover-standalone'.  Stop.
make[3]: Leaving directory
`/opt/emdebian/trunk/a/avahi/trunk/avahi-0.6.22/avahi-discover-standalone'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/opt/emdebian/trunk/a/avahi/trunk/avahi-0.6.22'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/opt/emdebian/trunk/a/avahi/trunk/avahi-0.6.22'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information stored:
Bug#480710; Package general. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 480710-quiet@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 480710-quiet@bugs.debian.org
Subject: new version uploaded
Date: Fri, 30 May 2008 19:20:19 +0100
[Message part 1 (text/plain, inline)]
Source: buildd.emdebian.org

Postponing closing the actual bug report until
the buildd.emdebian.org pseudo-package is available.
Once re-assigned, send email to:
480710-done@bugs.debian.org

The new version of avahi has been uploaded to Emdebian.
A summary of the changes between this version and
the previous Emdebian one is attached.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 11 May 2008 00:40:38 +0100
Source: avahi
Binary: avahi-daemon avahi-dnsconfd avahi-autoipd avahi-utils
libavahi-common3 libavahi-common-data libavahi-common-dev libavahi-core5
libavahi-core-dev libavahi-client3 libavahi-client-dev libavahi-glib1
libavahi-glib-dev libavahi-gobject0 libavahi-gobject-dev
libavahi-compat-howl0 libavahi-compat-howl-dev libavahi-compat-libdnssd1
libavahi-compat-libdnssd-dev libavahi-ui0 libavahi-ui-dev avahi-dbg
Architecture: source arm
Version: 0.6.22-3em1
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team
<pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 avahi-autoipd - Avahi IPv4LL network address configuration daemon
 avahi-daemon - Avahi mDNS/DNS-SD daemon
 avahi-dbg  - Avahi - debugging symbols
 avahi-dnsconfd - Avahi DNS configuration tool
 avahi-utils - Avahi browsing, publishing and discovery utilities
 libavahi-client-dev - Development files for the Avahi client library
 libavahi-client3 - Avahi client library
 libavahi-common-data - Avahi common data files
 libavahi-common-dev - Development files for the Avahi common library
 libavahi-common3 - Avahi common library
 libavahi-compat-howl-dev - Development headers for the Avahi Howl
compatibility library
 libavahi-compat-howl0 - Avahi Howl compatibility library
 libavahi-compat-libdnssd-dev - Development headers for the Avahi Apple
Bonjour compatibility lib
 libavahi-compat-libdnssd1 - Avahi Apple Bonjour compatibility library
 libavahi-core-dev - Development files for Avahi's embeddable
mDNS/DNS-SD library
 libavahi-core5 - Avahi's embeddable mDNS/DNS-SD library
 libavahi-glib-dev - Development headers for the Avahi glib integration
library
 libavahi-glib1 - Avahi glib integration library
 libavahi-gobject-dev - Development headers for the Avahi GObject
library
 libavahi-gobject0 - Avahi GObject library
 libavahi-ui-dev - Development headers for the Avahi GTK User interface
library
 libavahi-ui0 - Avahi GTK User interface library
Changes: 
 avahi (0.6.22-3em1) unstable; urgency=low
 .
   * New emdebian release.
Checksums-Sha1: 
 e3fa616f25548ee48d9530a5ee212346130bff11 1977 avahi_0.6.22-3em1.dsc
 2863bae55a991facc93138ca4660d5b55c846bd1 1199901
avahi_0.6.22.orig.tar.gz
 cd47e3a4f90668e429e35f3fc528b6cdf7affe84 26565
avahi_0.6.22-3em1.diff.gz
 150070317931309fe50ccff257973f389282dedf 53692
avahi-daemon_0.6.22-3em1_arm.deb
 5a918063de6df95410b01a5c1a514ef5a2e1885d 10094
avahi-dnsconfd_0.6.22-3em1_arm.deb
 b7e98e48769600267a0e60a01290e54b2bf6c05d 21538
avahi-autoipd_0.6.22-3em1_arm.deb
 a39848214f0dd8f30d8c3afb82b089624cedbe2b 21224
avahi-utils_0.6.22-3em1_arm.deb
 ed97e447b30dbe1acad1bd26de0eb2832be6fbf1 20310
libavahi-common3_0.6.22-3em1_arm.deb
 4938519ce30930929f47a1889a3d355ac5f75865 856
libavahi-common-data_0.6.22-3em1_arm.deb
 753b7bee0e90fc62c74be27fa640f77f55a1efc2 39588
libavahi-common-dev_0.6.22-3em1_arm.deb
 d1a97c67809487fcab28118ef24b71584652e21a 80934
libavahi-core5_0.6.22-3em1_arm.deb
 4f975da040336e88a6174732cbcc0971561bfb20 121060
libavahi-core-dev_0.6.22-3em1_arm.deb
 35c3be285e373d23db1cd5f3336e9cf8c7c4d66a 23604
libavahi-client3_0.6.22-3em1_arm.deb
 db13981b2aae5da5187b9630ca94ae123d77a3a3 34910
libavahi-client-dev_0.6.22-3em1_arm.deb
 b3d1c99c745d687b61473d52220dec29644cc62b 6616
libavahi-glib1_0.6.22-3em1_arm.deb
 96d1cdd663db4f81a2d4914b9dd6c82f1d152951 7336
libavahi-glib-dev_0.6.22-3em1_arm.deb
 d62f954275ee19ae57d33ec84a11b108d4f7d979 866
libavahi-gobject0_0.6.22-3em1_arm.deb
 ad1265245b7800b5407bd84ac565fa727f27edc4 914
libavahi-gobject-dev_0.6.22-3em1_arm.deb
 3a361cc4912796e84c79c822320ddd87945316e7 17542
libavahi-compat-howl0_0.6.22-3em1_arm.deb
 11452d5c98c3054e9c4fd61df5606f98284aa71a 34094
libavahi-compat-howl-dev_0.6.22-3em1_arm.deb
 766b08b2b5380bd69d0bfc0c768449208aaacd6e 13232
libavahi-compat-libdnssd1_0.6.22-3em1_arm.deb
 20fe8d32fa91605fdcb8dadc8e933f3a21ca8830 33156
libavahi-compat-libdnssd-dev_0.6.22-3em1_arm.deb
 10174704e0a376c4ca099257350eb015683e88f8 16880
libavahi-ui0_0.6.22-3em1_arm.deb
 df78ef0341d040ca56b8975106a20c9e27b997c8 20038
libavahi-ui-dev_0.6.22-3em1_arm.deb
 cfe8f32e4038f9616852a9f740d720aa02498d5c 510956
avahi-dbg_0.6.22-3em1_arm.deb
Checksums-Sha256: 
 814c468bf095ac0348970492e22fca3eb47ca96577037c01712d3469450bcf67 1977
avahi_0.6.22-3em1.dsc
 9dc6f870b6ce050059054a26bfc15d6e7a836fa299edd1b89c63c1089bfedd52
1199901 avahi_0.6.22.orig.tar.gz
 841472076775bec796292412f3f9b66fa5a61db84392a1373795db5aae10f7ed 26565
avahi_0.6.22-3em1.diff.gz
 f7624ff8f53ed243e21baff735a0ff6ff2f85e08c9cf516225b4054b533a850c 53692
avahi-daemon_0.6.22-3em1_arm.deb
 69df8d8a6119147e3fdf7672f1366b3087df1cd257e6d4946ba5a66e457db68a 10094
avahi-dnsconfd_0.6.22-3em1_arm.deb
 76275ce7d0f831b407742de6d96cf373b23479f23f25699e3dc624497b3d8b90 21538
avahi-autoipd_0.6.22-3em1_arm.deb
 9e0428d031f693b40a8b5474447fd1f9b4dbbfde4c42ee306a6bb525c9c24886 21224
avahi-utils_0.6.22-3em1_arm.deb
 139e25c21c4363359ce594c83e7fc3c0e8b165f13cbc2de7b7847eda41138a74 20310
libavahi-common3_0.6.22-3em1_arm.deb
 3b8e692d5c9f82d3e3d8ebc39ec9d441310f5287c0c8be1a10fe2fc42c4ebfb2 856
libavahi-common-data_0.6.22-3em1_arm.deb
 15fb02564eb05246198c9d494dcf022fe57a6da09e507efabc152c94135bb1dd 39588
libavahi-common-dev_0.6.22-3em1_arm.deb
 e783cf782523f180e5fae559f6931ee0b06ea934407ae58cb0c48c8f92c48ae0 80934
libavahi-core5_0.6.22-3em1_arm.deb
 6687673afbf04135767b5a99fe2dbe62aac86d4c4bf0138d178137700c5c3fa1 121060
libavahi-core-dev_0.6.22-3em1_arm.deb
 7c955e7744d164597a7f00245a9d2b8e4293d3492d3cefb6ea29338257d1f05e 23604
libavahi-client3_0.6.22-3em1_arm.deb
 aba17b9fc5cec572ce4ec42c277c54841630835673a5d92baf985665c58e7298 34910
libavahi-client-dev_0.6.22-3em1_arm.deb
 56c31be9b4339263a1f9f2ece17e3c10a960e242ef713cf416cc22d22c6911a7 6616
libavahi-glib1_0.6.22-3em1_arm.deb
 398c396a047be1536db01ea2dd7505a791b8ddbc949a68ccdab5ded6a68f1c2d 7336
libavahi-glib-dev_0.6.22-3em1_arm.deb
 ddf06fd2e0b3ee02c20cdf57985c8352883e5fa4f17a32651eca8eb8e5eba183 866
libavahi-gobject0_0.6.22-3em1_arm.deb
 7bd852e69a1b7ec98bc8a803e66a073eed8d6b20e089d5446fc066ace7aefe5e 914
libavahi-gobject-dev_0.6.22-3em1_arm.deb
 f2860a31320b6f32fb95382597ca2b6eccad8399e9e529afb9efc8fa0700782d 17542
libavahi-compat-howl0_0.6.22-3em1_arm.deb
 0f825f689e072208a0b95bfce9c37e7c61b211f1e58737621c657a6a7ec2250c 34094
libavahi-compat-howl-dev_0.6.22-3em1_arm.deb
 0c7b4358ff313d36d0de6c37bd11c8c6419db9ba5633123f2c11e5327fbb4cf1 13232
libavahi-compat-libdnssd1_0.6.22-3em1_arm.deb
 e5927703e8df8e550b2f36178a2394678d8665940dabe058394215ea2036ed27 33156
libavahi-compat-libdnssd-dev_0.6.22-3em1_arm.deb
 5166080690b8d3230d8be124551595316ba539afc16baae2013c021c83fd9d8d 16880
libavahi-ui0_0.6.22-3em1_arm.deb
 e4c937de43f1a8b86699a3581ec14181b669fc4420826f425ab4aec772a08aa8 20038
libavahi-ui-dev_0.6.22-3em1_arm.deb
 9f016526dc6812dc0ef7463bd03c8abec50606424f24780478cf06dc1bb7bb07 510956
avahi-dbg_0.6.22-3em1_arm.deb
Files: 
 0d6189630e536408df95aa468bbbbfc8 1977 net optional
avahi_0.6.22-3em1.dsc
 c84b1a8a23126e188426728710414dc8 1199901 net optional
avahi_0.6.22.orig.tar.gz
 117901144f242b28fc949f70a2162835 26565 net optional
avahi_0.6.22-3em1.diff.gz
 6ac889c66aa10e400eed73d2ce5744e2 53692 net optional
avahi-daemon_0.6.22-3em1_arm.deb
 e0cf5e0c8606b9409e38dd17803b2f9d 10094 net optional
avahi-dnsconfd_0.6.22-3em1_arm.deb
 5478a4e9e5e66a3a161926af9a3e056c 21538 net optional
avahi-autoipd_0.6.22-3em1_arm.deb
 a24c7875be6a2ec3f8522e85af7818d6 21224 net optional
avahi-utils_0.6.22-3em1_arm.deb
 50da0e0432f7735225c235a54b91df21 20310 libs optional
libavahi-common3_0.6.22-3em1_arm.deb
 7eff36933245d399eb1d74126952490c 856 libs optional
libavahi-common-data_0.6.22-3em1_arm.deb
 42381adb54de8435d88fa2919ad2c6a3 39588 libdevel optional
libavahi-common-dev_0.6.22-3em1_arm.deb
 76de17a102ed8acd120c3d226deb3ec2 80934 libs optional
libavahi-core5_0.6.22-3em1_arm.deb
 1ad345976647094365e8aab39a515c58 121060 libdevel optional
libavahi-core-dev_0.6.22-3em1_arm.deb
 92b5d60d16add80ec2a0516a606bf1f0 23604 libs optional
libavahi-client3_0.6.22-3em1_arm.deb
 3cc5fc132d68da56729c73df49a689eb 34910 libdevel optional
libavahi-client-dev_0.6.22-3em1_arm.deb
 da528f86fa465c351a4180ab6719c9c1 6616 libs optional
libavahi-glib1_0.6.22-3em1_arm.deb
 51e9aea798d81cb5aa95a98dd0e807e6 7336 libdevel optional
libavahi-glib-dev_0.6.22-3em1_arm.deb
 cbb10fcc73864811932cc5b58793eff1 866 libs optional
libavahi-gobject0_0.6.22-3em1_arm.deb
 da18cf0e85e59a9cd2c424e7e611f336 914 libdevel optional
libavahi-gobject-dev_0.6.22-3em1_arm.deb
 fb156b837823c4c01818891c68ad5999 17542 libs optional
libavahi-compat-howl0_0.6.22-3em1_arm.deb
 f615957a4d5fe230863712a8d6133238 34094 libdevel optional
libavahi-compat-howl-dev_0.6.22-3em1_arm.deb
 a1c8867f7594697af9d099f839fcb6e8 13232 libs optional
libavahi-compat-libdnssd1_0.6.22-3em1_arm.deb
 49089673bf5a270209983e5db95062b3 33156 libdevel optional
libavahi-compat-libdnssd-dev_0.6.22-3em1_arm.deb
 c9e7434bca9573281118127b76971056 16880 libs optional
libavahi-ui0_0.6.22-3em1_arm.deb
 34a541def71629f0ce90cbf5eb22c454 20038 libdevel optional
libavahi-ui-dev_0.6.22-3em1_arm.deb
 5ceaa461f970070a657b0fcebb23e6c9 510956 libdevel extra
avahi-dbg_0.6.22-3em1_arm.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIP+mDk7DVr6iX/QIRAgHUAJ44af2+xXWS8X+Ghgj68LV4jSc5SwCdECD7
o96RsqJkN7GzISbDy/GlDB0=
=UsI8
-----END PGP SIGNATURE-----

-- 
Neil Williams <codehelp@debian.org>
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `general' to `buildd.emdebian.org'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 03 Sep 2008 06:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#480710; Package buildd.emdebian.org. (Mon, 29 Sep 2008 11:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Mon, 29 Sep 2008 11:03:06 GMT) Full text and rfc822 format available.

Message #17 received at 480710@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 480710@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Detail on the fix
Date: Mon, 29 Sep 2008 12:01:13 +0100
[Message part 1 (text/plain, inline)]
Package: buildd.emdebian.org
severity 480710 important
retitle 480710 "buildd.emdebian.org: avahi changes arguments to ./configure"
thanks

One of the fixes for the cross-build failure was to add this section to
the Emdebian patch sets:

 DEB_CONFIGURE_EXTRA_FLAGS += --enable-compat-libdns_sd --enable-compat-howl \
-                             --disable-mono --disable-monodoc
+                             --disable-mono --disable-monodoc \
+                             --disable-mono --disable-monodoc --disable-python \
+                             --disable-doxygen-doc --disable-pygtk \
+                             --disable-python-dbus --disable-core-docs \
+                             --disable-qt3 --disable-qt4 --disable-gobject \
+                             --with-distro=debian --cache-file=$(DEB_HOST_GNU_TYPE).cache

Whilst the cache file will be handled by changes within dpkg-cross, the
other options result in empty packages, specifically:

libavahi-gobject0
libavahi-gobject-dev

Other functionality changes may also have been caused. This bug will
remain open until avahi can be assessed during the Code Audit once Lenny
is released.

Emdebian Grip will need to undo these functionality changes, Emdebian
Crush may be able to retain them, as long as package names are dropped
or modified.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/


[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `normal' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 29 Sep 2008 11:03:09 GMT) Full text and rfc822 format available.

Changed Bug title to `"buildd.emdebian.org: avahi changes arguments to ./configure"' from `buildd.emdebian.org: avahi cannot be updated, new version fails to cross build'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 29 Sep 2008 11:03:10 GMT) Full text and rfc822 format available.

Merged 480710 486246. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 29 Sep 2008 11:06:04 GMT) Full text and rfc822 format available.

Changed Bug title to `buildd.emdebian.org: avahi changes arguments to ./configure' from `"buildd.emdebian.org: avahi changes arguments to ./configure"'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 29 Sep 2008 11:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#480710; Package buildd.emdebian.org. (Tue, 11 Feb 2014 03:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Randy Ledoux <randled098@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Tue, 11 Feb 2014 03:03:05 GMT) Full text and rfc822 format available.

Message #30 received at 480710@bugs.debian.org (full text, mbox):

From: Randy Ledoux <randled098@gmail.com>
To: 480710@bugs.debian.org
Date: Mon, 10 Feb 2014 20:59:10 -0600
[Message part 1 (text/plain, inline)]
Bugs every
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:03:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.